Get the ownership-proof review status
Get the review status of the enterprise’s ownership proof for phone numbers hosted with another provider. Returns 404 when no proof has been submitted.
GET
/
enterprises
/
{enterprise_id}
/
reputation
/
external_verification
Get the ownership-proof review status
curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"document_ids": [
"2a7e8337-e803-4057-a4ae-26c40eb0bc6c"
],
"phone_numbers": [
"+13125550142"
],
"rejection_reason": "The invoice does not show the phone numbers.",
"submitted_at": "2026-10-05T09:12:44Z",
"reviewed_at": "2026-10-06T14:03:10Z"
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
The enterprise id. Lowercase UUID.
Example:
"4a6192a4-573d-446d-b3ce-aff9117272a6"
Response
The ownership-proof review.
Show child attributes
Show child attributes
Was this page helpful?
Get the ownership-proof review status
curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"document_ids": [
"2a7e8337-e803-4057-a4ae-26c40eb0bc6c"
],
"phone_numbers": [
"+13125550142"
],
"rejection_reason": "The invoice does not show the phone numbers.",
"submitted_at": "2026-10-05T09:12:44Z",
"reviewed_at": "2026-10-06T14:03:10Z"
}
}